Subject: [patch] russian-typewriter input method does not follow actual layout
From: Chong Yidong <[email-masked]>
To: Vasily Korytov <[email-masked]>
Cc: [email-masked]
Date: Fri, 04 Dec 2009 21:55:57 -0500

> Russian `typewriter' keyboard layout actually has number keys in upper
> case (i. e. punctuation is in lower) and Yo key in the bottom row.
>
> But Emacs 22.2 has own standard for `russian-typewriter' input method.
> Probably, borrowed from some other map. Indeed, there're a lot of
> variations of `Russian Typewriter' implementation, a real mess.

Sorry for the delay.  I've just checked your patch into the Emacs
repository; it will be included in the Emacs 23.2 release.  (There are
no Russians in the development team AFAIK, so we'll take your word for
it that the layout is correct.)

Thanks.